Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer.proxy
Class ProxyConnectionManager

    java.lang.Object
      org.jivesoftware.openfire.filetransfer.proxy.ProxyConnectionManager

    public class ProxyConnectionManager

extends Object

Manages the connections to the proxy server. The connections go through two stages before file transfer begins. The first stage is when the file transfer target initiates a connection to this manager. Stage two is when the initiator connects, the manager will then match the two connections using the unique SHA-1 hash defined in the SOCKS5 protocol.

Author:
  Alexander Wenckus

Constructor Summary
`ProxyConnectionManager(FileTransferManager manager)`

Method Summary
`static String` | `createDigest(String sessionID, JID initiator, JID target)` Creates the digest needed for a byte stream.
`void` | `disable()`
`int` | `getProxyPort()`
`boolean` | `isRunning()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyConnectionManager

    public ProxyConnectionManager(FileTransferManager manager)

Method Detail

### getProxyPort

    public int getProxyPort()

### createDigest

    public static String createDigest(String sessionID,
                                      JID initiator,
                                      JID target)

  Creates the digest needed for a byte stream. It is the SHA1(sessionID + initiator + target).

  Parameters:
    `sessionID` - The sessionID of the stream negotiation
    `initiator` - The inititator of the stream negotiation
    `target` - The target of the stream negotiation
  Returns:
    SHA-1 hash of the three parameters

### isRunning

    public boolean isRunning()

### disable

    public void disable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.